{ config, pkgs, lib, ... }:

{

  services.blueman.enable = true;

  # Enable sound.
  sound.enable = true;
  nixpkgs.config.pulseaudio = true;

  services.pipewire = {
    enable = true;
    alsa.enable = true;
    pulse.enable = true;
  };
  security.rtkit.enable = true;

  hardware = {
    pulseaudio.enable = lib.mkForce false;
    opengl.enable = true;
    acpilight.enable = true;
    bluetooth = {
      enable = true;
      package = pkgs.bluezFull;
    };
    logitech.wireless = {
      enable = true;
      enableGraphical = true;
    };
  };

  services.hardware.bolt.enable = true;
  services.udisks2.enable = true;
  services.upower.enable = config.powerManagement.enable;

  programs.light.enable = true;
  programs.adb.enable = true;

}
